%define upstream_name    Function-Parameters
%define upstream_version 2.002005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Information about parameter lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Function-Parameters
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MAUKE//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.0.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Hash::Util) >= 0.70.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module extends Perl with keywords that let you define functions with
parameter lists. It uses Perl's perlapi/PL_keyword_plugin API, so it works
reliably and doesn't require a source filter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Tue Jan 28 2025 daviddavid <daviddavid> 2.2.5-1.mga10
+ Revision: 2143008
- update to 2.002005

* Thu Aug 22 2024 neoclust <neoclust> 2.2.4-3.mga10
+ Revision: 2088052
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 2.2.4-2.mga10
+ Revision: 2010935
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 2.2.4-1.mga10
+ Revision: 1980969
- update to 2.002004

* Tue Jun 07 2022 umeabot <umeabot> 2.1.3-8.mga9
+ Revision: 1861904
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.1.3-7.mga9
+ Revision: 1795781
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.1.3-6.mga9
+ Revision: 1726700
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.1.3-5.mga8
+ Revision: 1594797
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 2.1.3-4.mga8
+ Revision: 1529466
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 2.1.3-3.mga8
+ Revision: 1433616
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.1.3-2.mga7
+ Revision: 1292885
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 2.1.3-1.mga7
+ Revision: 1248071
- fix files list
- new version 2.001003

* Mon Oct 02 2017 tv <tv> 2.1.1-3.mga7
+ Revision: 1164430
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.1.1-2.mga7
+ Revision: 1149625
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 2.1.1-1.mga7
+ Revision: 1130025
- update to 2.001001
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.70.400-2.mga6
+ Revision: 1027642
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 1.70.400-1.mga6
+ Revision: 978763
- update to 1.0704

* Sat Jan 16 2016 shlomif <shlomif> 1.70.300-1.mga6
+ Revision: 923771
- update to 1.0703

* Sat Jul 04 2015 shlomif <shlomif> 1.60.500-3.mga6
+ Revision: 849926
- Revise the descrption

* Fri Jun 26 2015 sander85 <sander85> 1.60.500-2.mga6
+ Revision: 844244
- Rebuild for perl 5.22

* Sat Jun 20 2015 shlomif <shlomif> 1.60.500-1.mga6
+ Revision: 836749
- update to 1.0605
- imported package perl-Function-Parameters


* Wed Mar 25 2015 cpan2dist 1.0603-1mga
- initial mageia release, generated with cpan2dist
